> For the complete documentation index, see [llms.txt](https://docs.convai.com/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/unreal-engine/blueprints-reference/convai-object-entry.md).

# Convai 对象条目

**Convai 对象条目** 该结构允许解析场景中对象或角色的信息。它接收对象或角色的名称，还可以包含对该对象或角色的引用、描述以及位置向量（可选）。然后，这些信息会被添加到 Environment 对象中。

## 属性

<table><thead><tr><th width="347.3333333333333">属性</th><th width="98">类型</th><th>说明</th></tr></thead><tbody><tr><td>Ref</td><td>FString</td><td>对角色或对象的引用。（可选）</td></tr><tr><td>可选位置向量</td><td>FVector</td><td>相关位置向量。（可选）</td></tr><tr><td>名称</td><td>FString</td><td>角色或对象的名称。</td></tr><tr><td>说明</td><td>FString</td><td>角色/对象的简介/描述。（可选）</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/unreal-engine/blueprints-reference/convai-object-entry.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
